
#ifndef __Geo_Geometry_h__
#define __Geo_Geometry_h__

class pointing;
class vec3;

namespace Geo {

  double
  AngularDistance(const vec3 &v1, const vec3 &v2);

  double
  AngularDistance(const pointing &p1, const pointing &p2);

  double
  AngularDistance(
    const double th1, const double ph1, const double th2, const double ph2);

  void
  Rotate(const pointing &zenith, vec3 &v);

}

#endif // __Geo_Geometry_h__

